> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Blockchain by ID

> Returns a blockchain by ID or legacyID.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /blockchains/{id}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /blockchains/{id}:
    get:
      tags:
        - Blockchains & assets
      summary: Get a Blockchain by ID
      description: |
        Returns a blockchain by ID or legacyID.
      operationId: getBlockchain
      parameters:
        - name: id
          in: path
          required: true
          description: The ID or legacyId of the blockchain
          schema:
            type: string
          example: ETH
      responses:
        '200':
          description: Blockchain with requested identification
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockchainResponse'
        '404':
          description: >
            - Blockchain with specified ID or legacy ID is not found. Error code
            1505
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockchainNotFoundErrorResponse'
        '500':
          description: Error occurred while getting an blockchain
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetInternalServerErrorResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<BlockchainResponse>> =
            fireblocks.blockchainsAssets.getBlockchain(blockchainsAssetsApiGetBlockchainRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<BlockchainResponse>> response =
            fireblocks.blockchainsAssets().getBlockchain(id);
        - lang: Python
          source: response = fireblocks.blockchains_&_assets.get_blockchain(id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    BlockchainResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the blockchain
          example: 9f9f7062-df90-4fc0-8697-96685184357b
        legacyId:
          type: string
          description: The old blockchain ID representation of the blockchain
          example: ETH
        displayName:
          type: string
          description: The name of the blockchain
          example: Ethereum
        nativeAssetId:
          type: string
          description: Native asset ID of this blockchain
          example: 9f9f7062-df90-4fc0-8697-96685184356a
        onchain:
          $ref: '#/components/schemas/BlockchainOnchain'
        metadata:
          $ref: '#/components/schemas/BlockchainMetadata'
      required:
        - id
        - legacyId
        - displayName
        - nativeAssetId
        - onchain
        - metadata
    BlockchainNotFoundErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Not found error code
          example: Blockchain with specified ID not found
        code:
          type: number
          description: Error code
          example: 1505
      required:
        - message
        - code
    AssetInternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Internal server error code
          example: Internal server error
        code:
          type: number
          description: Error code
          example: 3005
      required:
        - message
        - code
    BlockchainOnchain:
      type: object
      properties:
        protocol:
          type: string
          description: The protocol of the blockchain
          example: EVM
        chainId:
          type: string
          description: Network/chain ID
          example: 1
        test:
          type: boolean
          description: Is test blockchain
          example: false
        signingAlgo:
          enum:
            - ECDSA_SECP256K1
            - EDDSA_ED25519
          type: string
          description: Signing alghorithm
          example: ECDSA_SECP256K1
      required:
        - protocol
        - test
        - signingAlgo
    BlockchainMetadata:
      type: object
      properties:
        scope:
          $ref: '#/components/schemas/AssetScope'
        deprecated:
          type: boolean
          description: Is blockchain deprecated
          example: false
        media:
          description: Blockchain’s media
          type: array
          items:
            $ref: '#/components/schemas/BlockchainMedia'
        explorer:
          $ref: '#/components/schemas/BlockchainExplorer'
      required:
        - scope
        - deprecated
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    AssetScope:
      type: string
      description: The scope of the asset
      example: GLOBAL
      enum:
        - GLOBAL
        - LOCAL
    BlockchainMedia:
      type: object
      properties:
        url:
          type: string
          description: Media URL
          example: https://example.com/image.png
        type:
          type: string
          description: Media type
          example: image/svg+xml
          enum:
            - image/svg+xml
            - image/png
      required:
        - url
        - type
    BlockchainExplorer:
      type: object
      properties:
        base:
          type: string
          description: Explorer base url
          example: https://example.com
        address:
          type: string
          description: Explorer address url
          example: https://example.com/address/{address}
        tx:
          type: string
          description: Explorer transaction url
          example: https://example.com/tx/{tx}
        token:
          type: string
          description: Explorer token url
          example: https://example.com/nft/{contract}/{tokenId}
      required:
        - base
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````